org.apache.bcel.verifier.structurals

## Class Frame

- java.lang.Object
- - org.apache.bcel.verifier.structurals.Frame

-     public class Frame
      extends Object

  This class represents a JVM execution frame; that means, a local variable array and an operand stack.
  Version:
    $Id: Frame.java 1806200 2017-08-25 16:33:06Z ggregory $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static UninitializedObjectType` | `_this` Deprecated. Use the getter/setter to access the field as it may be made private in a later release

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Frame(int maxLocals, int maxStack)`
    `Frame(LocalVariables locals, OperandStack stack)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `clone()`
    `boolean` | `equals(Object o)`
    `Frame` | `getClone()`
    `LocalVariables` | `getLocals()`
    `OperandStack` | `getStack()`
    `static UninitializedObjectType` | `getThis()`
    `int` | `hashCode()`
    `static void` | `setThis(UninitializedObjectType _this)`
    `String` | `toString()` Returns a String representation of the Frame instance.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _this

          @Deprecated
          protected static UninitializedObjectType _this

      Deprecated. Use the getter/setter to access the field as it may be made private in a later release
      For instance initialization methods, it is important to remember which instance it is that is not initialized yet. It will be initialized invoking another constructor later. NULL means the instance already *is* initialized.

  - ### Constructor Detail

    - #### Frame

          public Frame(int maxLocals,
                       int maxStack)

    - #### Frame

          public Frame(LocalVariables locals,
                       OperandStack stack)

  - ### Method Detail

    - #### clone

          protected Object clone()

      Overrides:
        `clone` in class `Object`

    - #### getClone

          public Frame getClone()

    - #### getLocals

          public LocalVariables getLocals()

    - #### getStack

          public OperandStack getStack()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for the object.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Returns a String representation of the Frame instance.
      Overrides:
        `toString` in class `Object`

    - #### getThis

          public static UninitializedObjectType getThis()

      Returns:
        the _this
      Since:
        6.0

    - #### setThis

          public static void setThis(UninitializedObjectType _this)

      Parameters:
        `_this` - the _this to set
      Since:
        6.0

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.